Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Private Types | List of all members
Remeshing::AdaptiveRemesherT< Mesh > Class Template Reference
Inheritance diagram for Remeshing::AdaptiveRemesherT< Mesh >:

## Public Types
typedef BaseRemesherT< Mesh > | Base
typedef Mesh::Scalar | Scalar
typedef Mesh::Point | Point
typedef Mesh::EdgeHandle | EdgeHandle
typedef Mesh::VertexHandle | VertexHandle
Public Types inherited from Remeshing::BaseRemesherT< Mesh >
enum | Selection { VERTEX_SELECTION, FACE_SELECTION }
typedef Mesh::Scalar | Scalar
typedef Mesh::Point | Point
typedef Mesh::EdgeHandle | EdgeHandle
typedef Mesh::VertexHandle | VertexHandle

## Public Member Functions
| AdaptiveRemesherT (Mesh &_mesh, ProgressEmitter *_progress=NULL)
void | remesh (Scalar _error, Scalar _min_edge_length, Scalar _max_edge_length, unsigned int _iters, bool _use_projection=true, Selection _selection=BaseRemesherT< Mesh >::VERTEX_SELECTION)
Public Member Functions inherited from Remeshing::BaseRemesherT< Mesh >
| BaseRemesherT (Mesh &_mesh, ProgressEmitter *_progress=NULL)
void | remesh (unsigned int _iters, unsigned int _area_iters, bool _use_projection=true, Selection _selection=VERTEX_SELECTION)

## Protected Member Functions
virtual void | init_reference ()
virtual void | project_to_reference (VertexHandle _vh) const
void | compute_curvature (Mesh &_mesh, OpenMesh::VPropHandleT< Scalar > _ph)
virtual bool | is_too_long (VertexHandle _v0, VertexHandle _v1) const
virtual bool | is_too_short (VertexHandle _v0, VertexHandle _v1) const
Protected Member Functions inherited from Remeshing::BaseRemesherT< Mesh >
void | prepare_vertex_selection ()
| prepare for remeshing only selected vertices (if no vertex was selected, remesh whole mesh)
void | prepare_face_selection ()
| prepare for remeshing only vertices which are fully surrounded by selected faces (if no face was selected, remesh whole mesh)
void | remeshh (unsigned int _iters, unsigned int _aiters, bool _proj)
void | cleanup ()
virtual void | delete_reference ()
void | split_long_edges ()
void | collapse_short_edges ()
void | flip_edges ()
void | tangential_smoothing (bool _use_projection)
void | balanace_area (unsigned int _iters, bool _use_projection)
void | remove_caps ()

## Protected Attributes
Scalar | error_
Scalar | emax_
Scalar | emin_
OpenMesh::VPropHandleT< Scalar > | refcurv_
OpenMesh::VPropHandleT< Scalar > | curvature_
Protected Attributes inherited from Remeshing::BaseRemesherT< Mesh >
Mesh & | mesh_
Mesh * | refmesh_
BSP * | bsp_
bool | nothing_selected_
OpenMesh::VPropHandleT< int > | valences_
OpenMesh::VPropHandleT< Point > | update_
OpenMesh::VPropHandleT< Scalar > | area_
ProgressEmitter * | progress_

## Private Types
typedef BaseRemesherT< Mesh > ::Selection | Selection

## Additional Inherited Members
Protected Types inherited from Remeshing::BaseRemesherT< Mesh >
typedef OpenMeshTriangleBSPT < Mesh > | BSP

## Detailed Description

### template<class Mesh>
class Remeshing::AdaptiveRemesherT< Mesh >

Definition at line 78 of file AdaptiveRemesherT.hh.

The documentation for this class was generated from the following files:

- Plugin-Remesher/Algorithms/AdaptiveRemesherT.hh
- Plugin-Remesher/Algorithms/AdaptiveRemesherT.cc